umbrello: Settings::CodeViewerState Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::CodeViewerState Class Reference

configurable params for the code viewer tool More...

`#include <codeviewerstate.h>`

## Public Member Functions
void | load ()
void | save ()

## Public Attributes
int | height
int | width
bool | showHiddenBlocks
bool | blocksAreHighlighted
QFont | font
QColor | paperColor
QColor | fontColor
QColor | selectedColor
QColor | editBlockColor
QColor | nonEditBlockColor
QColor | umlObjectColor
QColor | hiddenColor

## Detailed Description

configurable params for the code viewer tool

## Member Function Documentation

## ◆ load()

void Settings::CodeViewerState::load | ( |  | ) |

## ◆ save()

void Settings::CodeViewerState::save | ( |  | ) |

## Member Data Documentation

## ◆ blocksAreHighlighted

bool Settings::CodeViewerState::blocksAreHighlighted

## ◆ editBlockColor

QColor Settings::CodeViewerState::editBlockColor

## ◆ font

QFont Settings::CodeViewerState::font

## ◆ fontColor

QColor Settings::CodeViewerState::fontColor

## ◆ height

int Settings::CodeViewerState::height

## ◆ hiddenColor

QColor Settings::CodeViewerState::hiddenColor

## ◆ nonEditBlockColor

QColor Settings::CodeViewerState::nonEditBlockColor

## ◆ paperColor

QColor Settings::CodeViewerState::paperColor

## ◆ selectedColor

QColor Settings::CodeViewerState::selectedColor

## ◆ showHiddenBlocks

bool Settings::CodeViewerState::showHiddenBlocks

## ◆ umlObjectColor

QColor Settings::CodeViewerState::umlObjectColor

## ◆ width

int Settings::CodeViewerState::width

The documentation for this class was generated from the following files:

- umbrello/codeviewerstate.h
- umbrello/codeviewerstate.cpp